> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List multipart uploads

> List all active multipart uploads



## OpenAPI

````yaml https://raw.githubusercontent.com/blaxel-ai/sandbox/refs/heads/main/sandbox-api/docs/openapi.yml get /filesystem-multipart
openapi: 3.0.0
info:
  contact: {}
  description: API for manipulating filesystem, processes and network.
  title: Sandbox API
  version: 0.0.1
servers:
  - url: https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run
    variables:
      sandbox_id:
        default: unknown
      workspace_id:
        default: unknown
      region:
        default: unknown
security:
  - BearerAuth: []
paths:
  /filesystem-multipart:
    get:
      tags:
        - filesystem
      summary: List multipart uploads
      description: List all active multipart uploads
      responses:
        '200':
          description: List of active uploads
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipartListUploadsResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    MultipartListUploadsResponse:
      properties:
        uploads:
          items:
            $ref: '#/components/schemas/filesystem.MultipartUpload'
          type: array
      type: object
    ErrorResponse:
      properties:
        error:
          example: Error message
          type: string
      required:
        - error
      type: object
    filesystem.MultipartUpload:
      properties:
        initiatedAt:
          type: string
        parts:
          additionalProperties:
            $ref: '#/components/schemas/filesystem.UploadedPart'
          type: object
        path:
          example: /tmp/largefile.dat
          type: string
        permissions:
          example: 420
          type: integer
        uploadId:
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
      type: object
    filesystem.UploadedPart:
      properties:
        etag:
          example: 5d41402abc4b2a76b9719d911017c592
          type: string
        partNumber:
          example: 1
          type: integer
        size:
          example: 5242880
          type: integer
        uploadedAt:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````